Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 This type is safe for multithreaded operations. System.Reflection.MemberInfo System.Runtime.InteropServices._PropertyInfo System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._PropertyInfo)) System.Runtime.InteropServices.ComVisible(true)

Provides access to property metadata.

A property is a named aspect of an object's state whose value is typically accessible through and accessors. Properties can be read-only, in which case the accessor is not available.

Several methods in this class assume that the and accessors of a property have certain formats. The signatures of the accessors are required to match the following conventions:

The return type of the accessor and the last argument of the accessor are required to be identical to the type of the property reflected by the current instance.

The and accessors are required to have the same number, type, and order of indices.

If this format is not followed, the behavior of the and methods is undefined.

- Constructor

  Constructs a new instance of the class.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Reflection.PropertyAttributes

  Gets the attributes of the property reflected by the current instance.

  A value that specifies the attributes of the property reflected by the current instance.

  This property is read-only.

  This property gets a value that indicates the attributes set in the metadata of the property reflected by the current instance.

  Use this property to determine if the property reflected by the current instance has a special name or a default value.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the property reflected by the current instance has a accessor.

  if the property reflected by the current instance has a accessor; otherwise, .

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the property reflected by the current instance has a accessor.

  if the property reflected by the current instance has a accessor; otherwise, .

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Reflection.MethodInfo[]

  Returns an array whose elements reflect the public , , and other accessors of the property reflected by the current instance.

  An array of objects that reflect the public , , and other accessors of the property reflected by the current instance, if found; otherwise, returns an array with zero elements.

  This method is equivalent to ().

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Reflection.MethodInfo[] `` A value that indicates whether non-public accessors will be included in the return value. Specify to include the non-public accessors; otherwise, specify .

  Returns an array whose elements reflect the public and, if specified, non-public , , and other accessors of the property reflected by the current instance.

  An array of objects whose elements reflect the , , and other accessors of the property reflected by the current instance. If is , this array contains public and non-public accessors. If is , this array contains only public accessors. If no accessors with the specified visibility are found, returns an array with zero elements.

  As described above.

  Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0
- Method
  System.Object To be added. To be added. To be added. 2.0.0.0
- Method
  System.Reflection.MethodInfo

  Returns the public accessor for the property reflected by the current instance.

  A instance that reflects the public accessor for the property reflected by the current instance. Returns if no public accessor exists.

  To be added. 0 1.0.5000.0 2.0.0.0
- Method
  System.Reflection.MethodInfo ``

  A value that indicates whether a non-public accessor will be returned. Specify to allow a non-public accessor; otherwise, specify .

  Returns the public possibly or, if specified, the non-public accessor for the property reflected by the current instance.

  If is , returns a instance that reflects the accessor for the property reflected by the current instance if that accessor exists. If is and the accessor is non-public, or is but no accessor exists for the property reflected by the current instance, returns .

  As described above.

  is , the accessor for the property reflected by the current instance is non-public, and the caller does not have to reflect on non-public methods. Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0
- Method
  System.Reflection.ParameterInfo[]

  Returns an array of the indexers of the property reflected by the current instance.

  An array of objects that reflect the indexers of the property reflected by the current instance. If no indexers exist for the property reflected by the current instance, returns an array with zero elements.

  As described above.

  The property reflected by the current instance is visible, but its and accessors are not, and the caller does not have . Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0
- Method
  System.Type[] To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object To be added. To be added. To be added. 2.0.0.0
- Method
  System.Type[] To be added. To be added. To be added. 2.0.0.0
- Method
  System.Reflection.MethodInfo

  Returns the public accessor for the property reflected by the current instance.

  A instance that reflects the public accessor for the property reflected by the current instance. Returns if no public accessor exists.

  This method is equivalent to ().

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Reflection.MethodInfo ``

  A value that indicates whether a non-public accessor will be returned. Specify to allow a non-public accessor; otherwise, specify .

  Returns the public possibly or, if specified, the non-public accessor for the property reflected by the current instance.

  If is , returns a instance that reflects the accessor for the property reflected by the current instance if that accessor exists. If is and the accessor is non-public, or is but no accessor exists for the property reflected by the current instance, returns .

  As described above.

  is , the accessor for the property reflected by the current instance is non-public, and the caller does not have to reflect on non-public methods. Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0
- Method
  System.Type To be added. To be added. To be added. 1.0.5000.0
- Method
  System.Object `` `` The object whose property value will be returned. Specify to invoke a static accessor of a property. An array of objects that is an index of values for indexed properties. This value is required to be for non-indexed properties. To be added.

  Returns the value of the property reflected by the current instance in the specified object, using the specified index values.

  A that contains the property value for .

  As described above.

  does not contain the exact type of arguments needed.

  -or-

  The accessor of the property reflected by the current instance is not found.

  The accessor of the property reflected by the current instance is non-public and the caller does not have to reflect on non-public methods. The property reflected by the current instance is non-static, and is or is of a type that does not implement the property reflected by the current instance. The current instance reflects an indexer and .Length does not equal the rank of the indexer. Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0 System.Diagnostics.DebuggerStepThrough
- Method
  System.Object `` `` `` `` `` The object whose property value is returned. Specify to invoke a static accessor on the property reflected by the current instance. A value that controls the binding process. Specify or , and or ; or this method will not invoke any accessors of the property reflected by the current instance. A that enables the binding, coercion of argument types, invocation of members, and retrieval of objects via reflection. If is , the default binder is used. An array of objects that is an index or values for indexed properties. This value is required to be for non-indexed properties.

  The only defined value for this parameter is .

  To be added. To be added. To be added. To be added.

  Returns the value of the property that is reflected by the current instance in the specified object and corresponds to the specified criteria.

  A that contains the property value for .

  As described above.

  does not contain the exact type of arguments needed.

  -or-

  The accessor of the property reflected by the current instance was not found.

  The accessor of the property reflected by the current instance is non-public and the caller does not have to reflect on non-public methods. The property reflected by the current instance is non-static, and is or is of a type that does not implement the property reflected by the current instance. The current instance reflects an indexer and .Length does not equal the rank of the indexer. Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Reflection.MemberTypes To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Type

  Gets the type of the property reflected by the current instance.

  A that represents the type of the property reflected by the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` The object whose property value is returned. Specify to invoke a static accessor on the property reflected by the current instance. A object that contains the new value for the property. An array of objects that is an index or values for indexed properties. This value is required to be for non-indexed properties. To be added. To be added.

  Sets the value of the property reflected by the current instance on the specified object, using the specified index values.

  As described above.

  does not contain the exact type of arguments needed.

  -or-

  The accessor of the property reflected by the current instance was not found.

  The accessor of the property reflected by the current instance is non-public and the caller does not have to reflect on non-public methods. The property reflected by the current instance is non-static, and is or is of a type that does not implement the property reflected by the current instance. The current instance reflects an indexer and .Length does not equal the rank of the indexer. Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0 System.Diagnostics.DebuggerStepThrough
- Method
  System.Void `` `` `` `` `` `` The object whose property value is returned. Specify to invoke a static accessor on the property reflected by the current instance. A object that contains the new value for the property. A value that controls the binding process. Specify or , and or ; otherwise, this method will not invoke any accessors of the property reflected by the current instance. A that enables the binding, coercion of argument types, invocation of members, and retrieval of objects via reflection. If is , the default binder is used. An array of objects that is an index or values for indexed properties. This value is required to be for non-indexed properties.

  The only defined value for this parameter is .

  To be added.

  Sets the value of the property that is reflected by the current instance on the specified objects and corresponds to the specified properties.

  As described above.

  The array does not contain the exact type of arguments needed.

  The accessor of the property reflected by the current instance is not found.

  The property reflected by the current instance is non-static, and is or is of a type that does not implement the property reflected by the current instance. The accessor of the property reflected by the current instance is non-public and the caller does not have to reflect on non-public methods. The current instance reflects an indexer and .Length does not equal the rank of the indexer. Requires permission to reflect non-public members of a type in loaded assemblies. See . 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
0